package com.zfire.jiasm.syncdata.service;

import java.util.List;
import java.util.Map;

public interface WorkerOrderUploadService {
	
	public List<Map<String, Object>> getTaskType();
	
	public List<Map<String, Object>> getTaskData(int taskType,String limitTimes);
	
	public Map<String, Object> getATaskData(int synReqId);
	
	public Long getPgid(String procName,String workerOrderNo,int id) throws Exception;
	
	public String getFkid(String workerOrderNo, int id) throws Exception;
	

	public void prepareData(String procName, int taskId, String workerOrderNo, int orderId, String remoteId,boolean isNeedGenRemoteId)
			throws Exception;
	
	public boolean isFkidRepeat(String workerOrderNo, int fkid) throws Exception;
}
